[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# dsEditModes

Edit modes

## Declaration

Source position: db.pas line 2238

`const dsEditModes = [dsEdit, dsInsert, dsSetKey];`

## Description

dsEditModes contains the various values of TDataset.State for which the dataset is in edit mode, i.e. states in which it is possible to set field values for that dataset.

## See also

TDatasetState |  | Current state of the dataset
TDataset.State |  | Current operational state of the dataset
TDataset.Edit |  | Set the dataset in editing mode.
TDataset.Insert |  | Insert a new record at the current position.